'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _propertiesJson = require('./properties.json');

var _propertiesJson2 = _interopRequireDefault(_propertiesJson);

var _valuesJson = require('./values.json');

var _valuesJson2 = _interopRequireDefault(_valuesJson);

exports['default'] = _postcss2['default'].plugin('postcss-russian-stylesheets', function () {
	return function (css) {
		css.walkDecls(function (decl) {
			Object.keys(_propertiesJson2['default']).forEach(function (property) {
				var russianProperty = _propertiesJson2['default'][property];
				decl.prop === russianProperty && (decl.prop = property);
			});

			Object.keys(_valuesJson2['default']).forEach(function (value) {
				var russianValue = _valuesJson2['default'][value];

				if (typeof russianValue === 'string') {
					decl.value = decl.value.replace(russianValue, value);
					return;
				}

				russianValue.forEach(function (val) {
					decl.value = decl.value.replace(val, value);
				});
			});

			if (decl.value.indexOf('!важно') >= 0) {
				decl.value = decl.value.replace(/\s*!важно\s*/, '');
				decl.important = true;
			}
		});
	};
});
module.exports = exports['default'];